#
# spec file for package xcursorgen
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xcursorgen
Version:        1.0.8
Release:        1.6
Summary:        Utility to create an X cursor file from a collection of PNG images
License:        MIT
Group:          System/X11/Utilities
URL:            https://xorg.freedesktop.org/
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libpng) >= 1.2.0
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6

%description
xcursorgen prepares X11 cursor sets for use with libXcursor.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS ChangeLog README.md
%{_bindir}/xcursorgen
%{_mandir}/man1/xcursorgen.1%{?ext_man}

%changelog
* Sun Dec  4 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.8
  * gitlab CI: add a basic build test
  * gitlab CI: stop requiring Signed-off-by in commits
  * premultiply_data(): Mark png argument unused
  * Handle -Wimplicit-int-conversion warnings from clang
  * Resolve -Wsign-conversion warnings from clang
* Fri Dec  3 2021 Dirk Müller <dmueller@suse.com>
- modernize spec file (move license to licensedir)
* Mon Jan  7 2019 sndirsch@suse.com
- Update to version 1.0.7
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * Fix type mismatch warnings for loop index variables
  * Include more information in error messages
  * Use asprintf if available, instead of malloc+strcpy+strcat
  * Convert to X.Org standard code style
  * Update README for gitlab migration
  * Add README.md to EXTRA_DIST in Makefile.am
  * Update configure.ac bug URL for gitlab migration
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
  * Fix null pointer dereference on very large images.
* Wed Jun  4 2014 sndirsch@suse.com
- Update to version 1.0.6
  * This minor release includes some code cleanups & improved
    error messaging.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.5:
  + Build and build system fixes.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xcursorgen from xorg-x11. Initial version: 1.0.4.
